<?php
	session_start();
	include("functions/funciones.php");
	$link = conectar_bd();
	
	$menu_actual = "rutas";
	$validar = "detalle_ruta";
	$id = '';
	
	if(isset($_GET['id']) && $_GET['id'] != '')
	{
		$id = filter_input( INPUT_GET, 'id', FILTER_SANITIZE_SPECIAL_CHARS);
		if(!$id)
		{
			//Ha habido un error en el filtro. Inyección de código
			header('location:index.php');
		}
	}
	
	
	//Mostrar la ruta seleccionada
	$result_ruta = getRuta($id);
	//Mostrar las imagenes de la ruta seleccionada
	$result_imagenes_ruta = getImagenesRuta($id);
	//Mostrar los comentarios de la ruta seleccionada
	$result_comentarios = getComentariosRuta($id);
		
	$id_provincia = '';

	//Nuevo comentario para la ruta
	if(isset($_POST['tipo']) && isset($_POST['id']) && isset($_POST['descripcion']) 
		&& $_POST['tipo'] == 'nuevo_comentario' && $_POST['id'] != '' && $_POST['descripcion'] != '')
	{
		$id_ruta = filter_input( INPUT_POST, 'id', FILTER_SANITIZE_SPECIAL_CHARS);
		$descripcion = filter_input( INPUT_POST, 'descripcion', FILTER_SANITIZE_SPECIAL_CHARS);
		insertaComentarioRuta($id_ruta, $_SESSION['id_usuario'], $descripcion);
		header("location:detalle_ruta.php?id=$id_ruta");
	}
	
	//Insertar valoracion
	if(isset($_POST['tipo']) && isset($_POST['id']) && isset($_POST['valoracion']) 
		&& $_POST['tipo'] == 'nueva_valoracion' && $_POST['id'] != '' && $_POST['valoracion'] != '')
	{
		$id_ruta = filter_input( INPUT_POST, 'id', FILTER_SANITIZE_SPECIAL_CHARS);
		$valoracion = filter_input( INPUT_POST, 'valoracion', FILTER_SANITIZE_SPECIAL_CHARS);
		
		insertaValoracionRuta($id_ruta, $_SESSION['id_usuario'], $valoracion);
		header("location:detalle_ruta.php?id=$id_ruta");
	}

	include("includes/cabecera.php");
?>
	<h1>Detalle de las rutas</h1>
    <p class="texto_introduccion">En esta sección te mostramos todos los datos de las rutas de senderismo. Si quieres ver alguna otra ruta ve al listado de rutas y pulsa en su título.</p>
    
  	<div id="col_izq">  
        <?php 
        while($dato_a_mostrar = mysql_fetch_array($result_ruta) )
        {
			$id_provincia = $dato_a_mostrar['id_provincia'];
            ?>
    
            <h2><?php echo $dato_a_mostrar['nombre']; ?></h2>
            <img src="img/rutas/<?php echo $dato_a_mostrar['img_principal']; ?>" alt="<?php echo $dato_a_mostrar['nombre']; ?>" />
            <p><strong>Longitud:</strong> <?php echo $dato_a_mostrar['longitud']; ?> km</p>
            <p><b>Dificultad:</b> <?php echo $dato_a_mostrar['dificultad']; ?></p>
            <p><b>Duración aproximada para la realización:</b> <?php echo mostrarHora($dato_a_mostrar['duracion']); ?> horas</p>
            <p><b>Desnivel:</b> <?php echo $dato_a_mostrar['desnivel']; ?> metros</p>
            <p><b>Provincia:</b> <?php echo getNombreProvincia($dato_a_mostrar['id_provincia']); ?></p>
            <p><b>Población:</b> <?php echo getNombrePoblacion($dato_a_mostrar['id_poblacion']); ?></p>
            <p><b>Descripción:</b> <?php echo $dato_a_mostrar['descripcion']; ?></p>
            <br/>
            <?php
			if(mysql_num_rows($result_imagenes_ruta) > 0)
			{
				?>
				<h2>Galería de imágenes para <?php echo $dato_a_mostrar['nombre']; ?></h2>
                <?php
			}
			//Comprobar si el usuario ha votado la ruta
			if(isset($_SESSION['id_usuario']))
			{
				$usuario_ha_votado = usuarioHaVotadoRuta($_SESSION['id_usuario'], $dato_a_mostrar['id_ruta']);
			}
			?>
                        
            <div id="imagenes">
			<?php
			while($imagen = mysql_fetch_array($result_imagenes_ruta))
            {
            ?>
            	<a href="img/rutas/<?php echo $imagen['nombre_imagen']; ?>" title="Ver imagen más grande">
                <img class='imagen_ruta' src="img/rutas/<?php echo $imagen['nombre_imagen']; ?>" alt="<?php echo $imagen['descripcion']; ?>"  />
                </a>
            <?php
            }
            ?>
            </div>
            <!-- Muestra la valoración del comentario -->
            <span class="texto_valoracion">
				<?php
				$valoracion = obtenValoracionRuta($dato_a_mostrar['id_ruta']);
                if($valoracion != 0)
                {
                ?>
                   Valoración: 
                    <?php echo $valoracion;
                }
                else
                {
                    ?>
                    Sin valoración
                    <?php
                }
                ?>
            </span>
            <!-- Muestra el número de comentarios -->
            <span class="titulo_comentarios">
				<?php
                //Mostrar el número de comentarios que existen
                $num_comentarios = numeroComentariosRuta($dato_a_mostrar['id_ruta']);
                if($num_comentarios == 0 )
                {
                    ?>
                    No hay comentarios
                    <?php
                }
                else if($num_comentarios == 1)
                {
                    ?>
                   Lee el comentario
                    <?php
                }
                else
                {
                    ?>
                    Lee los <?php echo $num_comentarios; ?> comentarios
                    <?php
                } 
                ?>
            </span>
            
            <div id="capa_formularios">
            
			<?php
			//Comentarios
			include("includes/comentarios.php");
			?>
            </div>
            
        <?php
		}
		?>
        <a class="enlace_volver" href="rutas.php" title="Volver al listado de rutas">Volver al listado de rutas</a>
	</div>
    <div id="col_der">
        <h3>Listado de rutas para <?php echo getNombreProvincia($id_provincia); ?></h3>
        <?php
		//Listar todas las rutas de esa provincia
		$result_rutas_provincia = getRutasProvincia($id_provincia);
       	while( $ruta_provincia = mysql_fetch_array($result_rutas_provincia))
        {
        ?>
            <a href="detalle_ruta.php?id=<?php echo $ruta_provincia['id_ruta']; ?>" title="<?php echo $ruta_provincia['nombre']; ?>"><?php echo $ruta_provincia['nombre']; ?></a>
        <?php 
        }
        ?>
    </div>  
    
<?php include("includes/pie.php"); ?>