<?php 
	session_start(); 
	include("functions/funciones.php");

	$link = conectar_bd();
	
	if(!compruebaUsuario())
	{
		header("Location:index.php");
	}
	
	$menu_actual = "gestionar";
	$mensaje = '';
	
	
	
	//Modificar el evento
	if(isset($_POST['id_evento']))
	{
		$id_evento = filter_input( INPUT_POST, 'id_evento', FILTER_SANITIZE_SPECIAL_CHARS);
		$id_ruta = filter_input( INPUT_POST, 'id_ruta', FILTER_SANITIZE_SPECIAL_CHARS);
		$descripcion = filter_input( INPUT_POST, 'descripcion', FILTER_SANITIZE_SPECIAL_CHARS);
		$dia = filter_input( INPUT_POST, 'dia', FILTER_SANITIZE_SPECIAL_CHARS);
		$mes = filter_input( INPUT_POST, 'mes', FILTER_SANITIZE_SPECIAL_CHARS);
		$anyo = filter_input( INPUT_POST, 'anyo', FILTER_SANITIZE_SPECIAL_CHARS);	
		
		//Comprobar si la fecha es correcta
		$fecha_actual = date("Y-m-d");
		$fecha = agregaCero($anyo) . '-' . agregaCero($mes) . '-' .agregaCero($dia);
		$fecha_valida = checkdate($mes, $dia, $anyo);
		if(!$fecha_valida || $fecha < $fecha_actual)
		{
			$mensaje = "La fecha introducida no es correcta.";
		}
		else
		{
			//Evento
			$result_evento = getEventoGrupo( $id_evento );
			$evento = mysql_fetch_array($result_evento);
			
			modificaEvento($id_evento, $id_ruta, $descripcion, $fecha);
			header("Location:quedadas_grupo.php?id=" . $evento['id_grupo']);
		}
				
		
	}
	//Coger los valores del evento 
	if(isset($_GET['id']) && $_GET['id'] != '')
	{
		$id = filter_input( INPUT_GET, 'id', FILTER_SANITIZE_SPECIAL_CHARS);

		//Evento
		$result_evento = getEventoGrupo( $id );
		$evento = mysql_fetch_array($result_evento);
		
		//Fecha troceada
		$fecha = $evento['fecha'];
		$trocear = explode('-',$fecha);
		$dia = $trocear[2];
		$mes = $trocear[1];
		$anyo = $trocear[0];
		
		//Ruta
		$result_ruta = getRuta($evento['id_ruta']); 
		$ruta_seleccionada = mysql_fetch_array($result_ruta);
		
		//Datos precargados
		$result_rutas = getRutas();
		
	}
	
	include("includes/cabecera.php");
?>
<script type="text/javascript">
	<?php include("js/validacion_form.js"); ?>
</script>

<div id="gestion_registro">
	<h1>Datos del evento</h1>
    
    <p class="error"><?php echo $mensaje; ?></p>
    
	<form action="editar_evento.php" method="post" class="form_gestionar gestionar validable" enctype="multipart/form-data">
    	<div>
    	<input type="hidden" name="id_evento" value="<?php echo $id; ?>" />
        
        <label for="id_ruta">Ruta</label>
        <select name="id_ruta">
            <?php 
            while($ruta = mysql_fetch_array($result_rutas))
            {
                ?>
                <option value="<?php echo $ruta['id_ruta']; ?>" <?php if( $ruta_seleccionada['id_ruta'] == $ruta['id_ruta']) echo 'selected'; ?>><?php echo $ruta['nombre']; ?></option>
                <?php
            }
            ?>
        </select>
        
        <label for="dia">Día</label>
        <select name="dia">
        <?php
        for($i = 1; $i <= 31; $i++)
        {
            ?>
            <option value="<?php echo $i;?>" <?php if( $i == $dia) echo 'selected'; ?>><?php echo $i;?></option>
            <?php
        }
        ?>
        </select>
         
        <label for="mes">Mes</label>
        <select name="mes">
        <?php
        for($i = 1; $i <= 12; $i++)
        {
            ?>
            <option value="<?php echo $i;?>" <?php if($i == $mes) echo 'selected'; ?>><?php echo $i;?></option>
            <?php
        }
        ?>
        </select>
        
        <label for="anyo">Año (aaaa)</label>
        <input class="input_peque" type="text" name="anyo" value="<?php echo $anyo; ?>" />
        
        <label for="descripcion">Descripción</label>
        <textarea name="descripcion" rows="10" cols="50" class="requerido min:10:"><?php echo $evento['descripcion']; ?></textarea>
        
        <input type="submit" class="boton" value="Enviar" />
        </div>
    </form>
</div>
<a class="enlace_volver" href="quedadas_grupo.php?id=<?php echo $evento['id_grupo']; ?>" title="Volver a la gestión de eventos">Volver a la gestión de eventos</a>


<?php
	include("includes/pie.php");
?>