<?php 
	session_start(); 
	include("functions/funciones.php");

	$link = conectar_bd();
	
	if(!compruebaUsuario())
	{
		header("Location:index.php");
	}
	
	$menu_actual = "gestionar";
	$mensaje = '';
	
	//---------------------------Alta de un consejo-----------------------
	if(isset($_POST['titulo']) && isset($_POST['descripcion']) && $_POST['titulo'] != '' && $_POST['descripcion'] != '')
	{
		$titulo = filter_input( INPUT_POST, 'titulo', FILTER_SANITIZE_SPECIAL_CHARS);
		$descripcion = filter_input( INPUT_POST, 'descripcion', FILTER_SANITIZE_SPECIAL_CHARS);
		
		insertaConsejo($_SESSION['id_usuario'], $titulo, $descripcion);	
		header("location:gestionar_consejos.php");
	}
	else 
	{
		if(isset($_GET['tipo']) && $_GET['tipo'] == 'nuevo' )
		{
			$mensaje = "No se  ha podido insertar el consejo. Comprueba que todos los campos estén cumplimentados.";
		}
	}
	//-------------------------Baja de un consejo-----------------
	if(isset($_POST['id_a_borrar']) && $_POST['id_a_borrar'] != '')
	{
		$id = filter_input( INPUT_POST, 'id_a_borrar', FILTER_SANITIZE_SPECIAL_CHARS);
		borraConsejo($id);
	}
	
	//-------------------Carga de los consejos------------
	if($_SESSION["tipo_usuario"] == 3)//Si es un usuario normal...
	{
	   $result_consejos = getConsejosUsuario($_SESSION['id_usuario']);
	}
	else if($_SESSION["tipo_usuario"] == 1 || $_SESSION["tipo_usuario"] == 2)
	{
		$result_consejos = getConsejos();
	}
	
	include("includes/cabecera.php");
?>
<script type="text/javascript">
function borrarConsejo(id)
{
	if(confirm('¿Seguro que quieres borrar el consejo?'))
	{
		document.getElementById(id).submit();
	}
}

<?php include("js/validacion_form.js"); ?>
</script>
	
<div id="consejos_gestion">
    <h1>Gestión de consejos</h1>
  	<?php
    if(mysql_num_rows($result_consejos) > 0)
	{
	?>
    <table id="tabla_contenido_gestion">
        <tr>
            <th>Título</th>
            <th class="acciones">Acciones</th>
        </tr>
        <?php 
        while($consejo = mysql_fetch_array($result_consejos))
        {
            ?>
            <tr>
                <td><?php echo $consejo['titulo']; ?></td>
                <td class="acciones_con_comentarios">
                    <a href="visualizar_consejo.php?id=<?php echo $consejo['id_consejo']; ?>" title="Ver detalles consejo" class="icono visualizar"><span class="no_texto">Ver detalles consejo</span></a>
                    <a href="editar_consejo.php?id=<?php echo $consejo['id_consejo']; ?>" title="Editar consejo" class="icono editar"><span class="no_texto">Editar consejo</span></a>
                    <a href="javascript:borrarConsejo(<?php echo $consejo['id_consejo']; ?>)" title="Borrar consejo"  class="icono borrar"><span class="no_texto">Borrar consejo</span></a>
                    <a class="enlace_gestion_imagenes" href="imagenes_consejo.php?id=<?php echo $consejo['id_consejo']; ?>" title="Imágenes del consejo">Imágenes</a>
                    <?php 
					if(isset($_SESSION['tipo_usuario']) && $_SESSION['tipo_usuario'] == 1)
					{
					?>
                    <a class="enlace_gestion_imagenes" href="comentarios_consejo.php?id=<?php echo $consejo['id_consejo']; ?>" title="Comentarios del consejo">Comentarios</a>
                    <?php 
					}
					?>
                    <form action="gestionar_consejos.php" method="post" id="<?php echo $consejo['id_consejo']; ?>">						
                    	<div>
                        <input type="hidden" name="id_a_borrar" value="<?php echo $consejo['id_consejo']; ?>"/>
                        </div>
                    </form>
                </td>
            </tr>
            <?php
        }
        ?>
  
    </table>
    <?php 
	}
	else
	{
		?>
        <p>No ha introducido ningún consejo. Para compartir un consejo con el resto de usuarios rellene el siguiente formulario.</p>
        <?php
	}
	?>
        
    
    <h2>Insertar un nuevo consejo sobre senderismo</h2>
    <?php echo "<p class='error'>".$mensaje."</p>"; ?>

    <form action="gestionar_consejos.php" method="post" class="form_gestionar validable">
    	<div>
        <label for="titulo">Título</label>
        <input type="text" name="titulo" id="titulo" class="requerido min:10:" />
    
        <label for="descripcion">Descripción</label>
        <textarea name="descripcion" id="descripcion" cols="50" rows="10" class="requerido min:10:"></textarea>
        
        <input type="submit" class="boton" value="Enviar" />
    	</div>
    </form>
    
</div>
    


<?php
	include("includes/pie.php");
?>




















