<?php 
	session_start(); 
	include("functions/funciones.php");

	$link = conectar_bd();
	if(!compruebaUsuario())
	{
		header("Location:index.php");
	}
	
	$menu_actual = "gestionar";
	$mensaje = '';
	$subida = false;
	$es_coordinador = false;
	$no_tiene_grupo = false;
	
	//Abandonar un grupo (un usuario ya no pertenece a un grupo)
	if(isset($_GET['id_abandonar']) && $_GET['id_abandonar'] != '')
	{
		$id_grupo = filter_input( INPUT_GET, 'id_abandonar', FILTER_SANITIZE_SPECIAL_CHARS);
		if($_SESSION['id_usuario'] != '')
			$id_usuario = $_SESSION['id_usuario'];
		
		//El usuario ya no pertenece al grupo pero se mantienen los eventos a los que asistio
		usuarioAbandonaGrupo($id_grupo, $id_usuario);
	}
	
	//-------------------------Baja de un grupo------------------
	if(isset($_POST['id_a_borrar']) && $_POST['id_a_borrar'] != '')
	{
		$id = filter_input( INPUT_POST, 'id_a_borrar', FILTER_SANITIZE_SPECIAL_CHARS);
		//Recupero el grupo y elimino su imagen (si no es la imagen por defecto)
		$result_grupo = getGrupo($id);
		$grupo = mysql_fetch_array($result_grupo);
		if($grupo['logo_grupo'] != '' && $grupo['logo_grupo'] != 'no_imagen.gif')
		{
			unlink('img/grupos/'. $grupo['logo_grupo']);
		}
		
		borraGrupo($id);
	}
	
	//-------------------------Unirse a un grupo-----------------
	if(isset($_POST['id_grupo_unirse']) && $_POST['id_grupo_unirse'] != '')
	{
		$id_grupo = filter_input( INPUT_POST, 'id_grupo_unirse', FILTER_SANITIZE_SPECIAL_CHARS);
		$id_usuario = $_SESSION['id_usuario'];
		unirseGrupo($id_grupo, $id_usuario);
		header("Location:gestionar_grupo.php");
	}
	
	
	//----------------------Alta de un nuevo grupo---------------
	if(isset($_POST['alta']))
	{
		$logo = '';
		
		if (is_uploaded_file($_FILES['logo']['tmp_name'])) 
		{
			$subida = move_uploaded_file($_FILES['logo']['tmp_name'],'img/grupos/'.$_FILES['logo']['name']);
		}
		if($subida)
		{
			//Se almacenan los datos de la imagen en la BD
			$logo = $_FILES['logo']['name'];
		}
		
		if(isset($_SESSION['id_usuario']))
		{
			$id_usuario = $_SESSION['id_usuario'];		
			$nombre = filter_input( INPUT_POST, 'nombre', FILTER_SANITIZE_SPECIAL_CHARS);
			$descripcion = filter_input( INPUT_POST, 'descripcion', FILTER_SANITIZE_SPECIAL_CHARS);
			//Dar de alta el grupo con sus datos
			insertaGrupo($id_usuario, $nombre, $descripcion, $logo);
		}
		else
		{
			$mensaje = "No se ha podido dar de alta el grupo.";
		}
		
	}
	
	//-------------------Carga de los grupos------------
	$result_grupos = getGrupos();
	
	
	if(isset($_SESSION['tipo_usuario']) && $_SESSION["tipo_usuario"] == 3)//Si es un usuario normal...
	{
		//Consulta para saber si coordina un grupo
		$result_grupo = getGrupoUsuario($_SESSION['id_usuario']);
		if(mysql_num_rows($result_grupo) >= 1)
		{
			
			//Si es coordinador de un grupo debe poder visualizar los datos de su grupo y modificarlos
			//Ademas podrá gestionar las eventos del grupo
			$es_coordinador = true;
			$result_grupos = $result_grupo;
		}	
		else
		{
			//Comprobación para saber si se ha inscrito a un grupo
			$result_pertenece_a_un_grupo = getGrupoPerteneceUsuario($_SESSION['id_usuario']);
			if(mysql_num_rows($result_pertenece_a_un_grupo) <= 0)
			{
				
				$no_tiene_grupo = true;
			}
			//Ya pertenece a un grupo
			else
			{
				$grupo_usuario = mysql_fetch_array($result_pertenece_a_un_grupo);
				$result_grupo_pertenece = getGrupo($grupo_usuario['id_grupo']);
				$grupo_pertenece = mysql_fetch_array($result_grupo_pertenece);
			}
		}
	}
	
	
	include("includes/cabecera.php");
?>
<script type="text/javascript">
function borrarGrupo(id)
{
	if(confirm('¿Seguro que quieres borrar el grupo?'))
	{
		document.getElementById(id).submit();
	}
}
function unirseGrupo(id)
{
	document.getElementById(id).submit();
}
</script>

<div id="grupo_gestion">
    <h1>Gestión de grupo/s</h1>
    <?php 			
        
        //Lista para administradores, moderadores y coordinadores
        if(isset($_SESSION['usuario']) && ($_SESSION['tipo_usuario'] == 1 || $_SESSION['tipo_usuario'] == 2) || $es_coordinador)
        {
            ?>
            <table id="tabla_contenido_gestion">
                <tr>
                    <th>Nombre</th>
                    <th class="acciones">Acciones</th>
                </tr>
                <?php 
                
                while($grupo = mysql_fetch_array($result_grupos))
                {
                    ?>
                    <tr>
                        <td><?php echo $grupo['nombre']; ?></td>
                        <td class="acciones">
                            <a class="icono visualizar" href="visualizar_grupo.php?id=<?php echo $grupo['id_grupo']; ?>" title="Ver detalles del grupo"><span class="no_texto">Ver detalles del grupo</span></a>
                            <a class="icono editar" href="editar_grupo.php?id=<?php echo $grupo['id_grupo']; ?>" title="Editar grupo"><span class="no_texto">Editar grupo</span></a>
                            <?php 
                            //Solo los administradores pueden borrar grupos
                            if($_SESSION['tipo_usuario'] == 1)
                            {
                            ?>
                            <a href="javascript:borrarGrupo(<?php echo $grupo['id_grupo']; ?>)" title="Borrar grupo"  class="icono borrar"><span class="no_texto">Borrar grupo</span></a>
                            <?php
                            }
                            ?>
                            <a class="enlace_gestion_quedadas" href="quedadas_grupo.php?id=<?php echo $grupo['id_grupo']; ?>" title="Gestionar quedadas del grupo">Eventos</a>
                            <?php
                            if($_SESSION['tipo_usuario'] == 1)
                            {
                            ?>
                            <form action="gestionar_grupo.php" method="post" id="<?php echo $grupo['id_grupo']; ?>">
                            	<div>
                                <input type="hidden" name="id_a_borrar" value="<?php echo $grupo['id_grupo']; ?>"/>
                                </div>
                            </form>
                            <?php 
                            }
                            ?>                             	
                             
                            
                        </td>
                    </tr>
                    <?php
                }
                ?>
          
            </table>
            <?php
        }
        if( $no_tiene_grupo )
        {
        
            //Crear un grupo
            ?>                
            <p>No coordinas ningún grupo. Crea tu própio grupo ahora o únete a uno de los de la lista.</p>
            <table id="tabla_contenido_gestion">
                <tr>
                    <th>Nombre</th>
                    <th class="acciones">Unirse</th>
                </tr>
                <?php 
                while($grupo = mysql_fetch_array($result_grupos))
                {
                ?>
                <tr>
                    <td><?php echo $grupo['nombre']; ?></td>
                    <td class="acciones">
                        <a href="javascript:unirseGrupo(<?php echo $grupo['id_grupo']; ?>)" title="Unirse al grupo">Unirse</a>
                            <form action="gestionar_grupo.php" method="post" id="<?php echo $grupo['id_grupo']; ?>">
                            	<div>
                                <input type="hidden" name="id_grupo_unirse" value="<?php echo $grupo['id_grupo']; ?>"/>
                                </div>
                            </form>
                    </td>
                </tr>
                <?php
                }
                ?>
            </table>
            
            <h2>Crear un nuevo grupo de senderismo</h2>
            <p class='error'><?php echo $mensaje; ?></p>
    
            <form action="gestionar_grupo.php" method="post" class="form_gestionar validable" enctype="multipart/form-data">
            	<div>
                <input type="hidden" name="alta" value="alta" />
                <label for="nombre">Nombre</label>
                <input type="text" name="nombre" class="requerido min:10:"/>
                
                <label for="descripcion">Descripción</label>
                <textarea name="descripcion" cols="50" rows="10" class="requerido min:10:"></textarea>      
                <label for="logo">Imagen del grupo</label>
                <input type="file" name="logo"  />
                
                <input type="submit" class="boton" value="Enviar" />
                </div>
            </form>
            <?php
            $result_grupos = getGrupos();
            ?>
            
            
            <?php
        }
        //Si ya pertenece a un grupo
        else if($no_tiene_grupo == false && !$es_coordinador && $_SESSION['tipo_usuario'] == 3)
        {
            ?>
            <p>Perteneces al grupo <b><?php echo $grupo_pertenece['nombre'] ?></b>. No puedes modificar información del grupo porque no eres el coordinador.
            Puedes darte de <a class="enlace" href="gestionar_grupo.php?id_abandonar=<?php echo $grupo_pertenece['id_grupo']; ?>" title="Darse de baja del grupo">baja</a> si lo deseas.</p>
            <?php
        }
        
    ?>
</div>


<?php
	include("includes/pie.php");
?>