<?php 
	session_start(); 
	include("functions/funciones.php");

	$link = conectar_bd();
	
	if(!compruebaUsuario())
	{
		header("Location:index.php");
	}
	
	$menu_actual = "gestionar";
	$mensaje = '';
	$subida = false;
	
	//-------------------------Baja de una ruta------------------
	if(isset($_POST['id_a_borrar']) && $_POST['id_a_borrar'] != '')
	{
		$id = filter_input( INPUT_POST, 'id_a_borrar', FILTER_SANITIZE_SPECIAL_CHARS);
		//Recupero la ruta y elimino su imagen
		$result_ruta = getRuta($id);
		$ruta = mysql_fetch_array($result_ruta);
		if($ruta['img_principal'] != 'no_imagen.jpg')
		{
			unlink('img/rutas/'. $ruta['img_principal']);
		}
		
		borraRuta($id);
	}
	
	
	//Nueva ruta
	if(isset($_POST['alta']) && $_POST['alta'] == 'alta')
	{
		$nombre = filter_input( INPUT_POST, 'nombre', FILTER_SANITIZE_SPECIAL_CHARS);
		$longitud = filter_input( INPUT_POST, 'longitud', FILTER_SANITIZE_SPECIAL_CHARS);
		$dificultad = filter_input( INPUT_POST, 'dificultad', FILTER_SANITIZE_SPECIAL_CHARS);
		$duracion = filter_input( INPUT_POST, 'duracion', FILTER_SANITIZE_SPECIAL_CHARS);
		$descripcion = filter_input( INPUT_POST, 'descripcion', FILTER_SANITIZE_SPECIAL_CHARS);
		$id_poblacion = filter_input( INPUT_POST, 'poblacion', FILTER_SANITIZE_SPECIAL_CHARS);
		$id_provincia = filter_input( INPUT_POST, 'provincia', FILTER_SANITIZE_SPECIAL_CHARS);
		$desnivel = filter_input( INPUT_POST, 'desnivel', FILTER_SANITIZE_SPECIAL_CHARS);
		
		
		//Comprobar coincidencia entre provincia y población
		$consulta_prov = "SELECT * FROM poblaciones WHERE id_poblacion = $id_poblacion AND id_provincia = $id_provincia LIMIT 1";
		$result_prov = mysql_query($consulta_prov);
		$poblacion = mysql_fetch_array($result_prov);
		if($poblacion['id_poblacion'] == '')
		{
			$mensaje = "La provincia y la población no se corresponden.";
		}
		else
		{
			$imagen = '';
					
			if (is_uploaded_file($_FILES['imagen']['tmp_name'])) 
			{
				$subida = move_uploaded_file($_FILES['imagen']['tmp_name'],'img/rutas/'.$_FILES['imagen']['name']);
			}
			if($subida)
			{
				//Se almacenan los datos de la imagen en la BD
				$imagen = $_FILES['imagen']['name'];
			}
			
			if(isset($_SESSION['id_usuario']) && $_SESSION['id_usuario'] != '')
			{
				
				$id_usuario = $_SESSION['id_usuario'];
				insertaRuta($nombre, $longitud, $dificultad, $duracion, $descripcion, $id_usuario, $id_poblacion, $id_provincia, $desnivel, $imagen);
				
				//Limpio los valores del formulario
				$nombre = '';
				$longitud = '';
				$duracion = '';
				$descripcion = '';
				$desnivel = '';
				
			}
		}
		
	}
	

	if($_SESSION['tipo_usuario'] == 3)
	{
		$result_rutas = getRutasUsuario($_SESSION['id_usuario']);
	}
	else if($_SESSION['tipo_usuario'] == 1 || $_SESSION['tipo_usuario'] == 2)
	{
		$result_rutas = getRutas();
	}
	
	$result_poblaciones = getPoblaciones();
	$result_provincias = getProvincias();
	
	include("includes/cabecera.php");
?>
<script type="text/javascript">
function borrarRuta(id)
{
	if(confirm('¿Seguro que quieres borrar la ruta?'))
	{
		document.getElementById(id).submit();
	}
}
	<?php include("js/validacion_form.js"); ?>
</script>

<div id="rutas_gestion">
    <h1>Gestión de rutas</h1>
    	<?php
		if(mysql_num_rows($result_rutas) > 0)
		{
		?>
        <table id="tabla_contenido_gestion">
            <tr>
                <th>Nombre</th>
                <th class="acciones">Acciones</th>
            </tr>
            <?php 
            while($ruta = mysql_fetch_array($result_rutas))
            {
                ?>
                <tr>
                    <td><?php echo $ruta['nombre']; echo $ruta['estado'] == 'R' ? '' : ' <b>(sin revisar)</b>';?></td>
                    <td class="acciones_con_comentarios">
                        <a class="icono visualizar" href="visualizar_ruta.php?id=<?php echo $ruta['id_ruta']; ?>" title="Ver detalles de la ruta"><span class="no_texto">Ver detalles de la ruta</span></a>
                        <a class="icono editar" href="editar_ruta.php?id=<?php echo $ruta['id_ruta']; ?>" title="Editar ruta"><span class="no_texto">Editar ruta</span></a>
                        <a href="javascript:borrarRuta(<?php echo $ruta['id_ruta']; ?>)" title="Borrar ruta"  class="icono borrar"><span class="no_texto">Borrar ruta</span></a>
                        <a class="enlace_gestion_imagenes" href="imagenes_ruta.php?id=<?php echo $ruta['id_ruta']; ?>" title="Imágenes de la ruta">Imágenes</a>
                        <?php 
						if(isset($_SESSION['tipo_usuario']) && $_SESSION['tipo_usuario'] == 1)
						{
						?>
						<a class="enlace_gestion_imagenes" href="comentarios_ruta.php?id=<?php echo $ruta['id_ruta']; ?>" title="Comentarios de la ruta">Comentarios</a>
						<?php 
						}
						?>
                        <form action="gestionar_rutas.php" method="post" id="<?php echo $ruta['id_ruta']; ?>">
                        <div>
                        <input type="hidden" name="id_a_borrar" value="<?php echo $ruta['id_ruta']; ?>"/>
                        </div>
                    </form>
                    </td>
                </tr>
                <?php
            }
            ?>
      
        </table>
        <?php
		}
		else
		{
			?>
            <p>No ha introducido ninguna ruta. Para compartir una ruta con el resto de usuarios rellene el siguiente formulario.</p>
            <?php
		}
		?>
        <h2>Nueva ruta de senderismo</h2>
            <p class='error'><?php echo $mensaje; ?></p>
    
            <form action="gestionar_rutas.php" method="post" class="form_gestionar validable" enctype="multipart/form-data">
            	<div>
                <input type="hidden" name="alta" value="alta" />
                <label for="nombre">Nombre</label>
                <input type="text" name="nombre" class="requerido min:10:" value="<?php if( isset( $nombre) && $nombre != '') echo $nombre; ?>"/>
                 
                <label for="descripcion">Descripción</label>
                <textarea name="descripcion" cols="50" rows="10" class="requerido min:10:"><?php if( isset( $descripcion) && $descripcion != '') echo $descripcion; ?></textarea>     
                
                <label for="poblacion">Población</label>
                <select name="poblacion">
                	<?php
					while($poblacion = mysql_fetch_array($result_poblaciones))
					{
						?>
                        <option value="<?php echo $poblacion['id_poblacion']; ?>"><?php echo $poblacion['nombre']; ?></option>
                        <?php
					}
					?>
                </select>
                
                <label for="provincia">Provincia</label>
                <select name="provincia">
                	<?php
					while($provincia = mysql_fetch_array($result_provincias))
					{
						?>
                        <option value="<?php echo $provincia['id_provincia']; ?>"><?php echo $provincia['nombre']; ?></option>
                        <?php
					}
					?>
                </select> 
                
                <label for="dificultad">Dificultad</label>
                <select name="dificultad">
                	<option value="baja" <?php echo isset($dificultad) && ($dificultad == 'baja') ? 'selected' : ''; ?>>Baja</option>
                    <option value="media" <?php echo isset($dificultad) && ($dificultad == 'media') ? 'selected' : ''; ?>>Media</option>
                    <option value="alta" <?php echo isset($dificultad) && ($dificultad == 'alta') ? 'selected' : ''; ?>>Alta</option>
                </select>
                
                <label for="longitud">Longitud (km)</label>
                <input type="text" name="longitud" value="<?php if( isset( $longitud) && $longitud != '') echo $longitud; ?>" class="input_peque requerido min:1:"/>
                
                <label for="duracion">Duración (hh:mm)</label>
                <input type="text" name="duracion" value="<?php if( isset( $duracion) && $duracion != '') echo $duracion; ?>" class="input_peque requerido min:5:"/>
                
                <label for="desnivel">Desnivel (metros)</label>
                <input type="text" name="desnivel" value="<?php if( isset( $desnivel) && $desnivel != '') echo $desnivel; ?>" class="input_peque requerido min:5:"/>
                
                <label for="imagen">Imagen</label>
                <input type="file" name="imagen" />
                
                <input type="submit" class="boton" value="Enviar" />
                </div>
            </form>
</div>
    


<?php
	include("includes/pie.php");
?>