<?php 
	session_start(); 
	include("functions/funciones.php");

	$link = conectar_bd();
	
	if(!compruebaUsuario())
	{
		header("Location:index.php");
	}
	
	$menu_actual = "gestionar";
	$mensaje = '';
	$subida = false;
	
	

	
	//-------------------------Baja de un evento-----------------
	if(isset($_POST['id_a_borrar']) && $_POST['id_a_borrar'] != '')
	{
		$id = filter_input( INPUT_POST, 'id_a_borrar', FILTER_SANITIZE_SPECIAL_CHARS);
		
		//Se cargan los eventos
		$result_evento = getEventoGrupo($id);
		$evento_actual = mysql_fetch_array($result_evento);
		$id_grupo = $evento_actual['id_grupo'];
		
		//Se borra el evento
		borraEvento($id);
		
		//Se recuperan los eventos actuales		
		$result_eventos = getEventosGrupo($id_grupo);
		
		
	}
	
	//------------------Lista de eventos---------
	if(isset($_GET['id']) && $_GET['id'] != '')
	{
		$id_grupo = filter_input( INPUT_GET, 'id', FILTER_SANITIZE_SPECIAL_CHARS);
		$result_eventos = getEventosGrupo($id_grupo);
	}
	
	//-----------Insertar un nuevo evento--------
	else if(isset($_POST['id_grupo']) && $_POST['id_grupo'] != '')
	{
		//Se almacenan los datos de la imagen en la BD
		$id_grupo = filter_input( INPUT_POST, 'id_grupo', FILTER_SANITIZE_SPECIAL_CHARS);
		$id_ruta = filter_input( INPUT_POST, 'id_ruta', FILTER_SANITIZE_SPECIAL_CHARS);
		$descripcion = filter_input( INPUT_POST, 'descripcion', FILTER_SANITIZE_SPECIAL_CHARS);
		$dia = filter_input( INPUT_POST, 'dia', FILTER_SANITIZE_SPECIAL_CHARS);
		$mes = filter_input( INPUT_POST, 'mes', FILTER_SANITIZE_SPECIAL_CHARS);
		$anyo = filter_input( INPUT_POST, 'anyo', FILTER_SANITIZE_SPECIAL_CHARS);	
		
		//Comprobar si la fecha es correcta
		$fecha_actual = date("Y-m-d");
		$fecha = agregaCero($anyo) . '-' . agregaCero($mes) . '-' .agregaCero($dia);
		$fecha_valida = checkdate($mes, $dia, $anyo);
		if(!$fecha_valida)
		{
			$mensaje = "La fecha introducida no es correcta.";
		}
		
		if($fecha < $fecha_actual)
		{
			$mensaje = "La fecha introducida es anterior a la fecha actual.";
		}
		else
		{
			insertaEventoGrupo($id_grupo, $id_ruta, $fecha, $descripcion);
		}
		$result_eventos = getEventosGrupo($id_grupo);
		
	}
	
	//------Si no hay variable id_grupo ni se han cargado ya los eventos-----
	else if($result_eventos == '')
	{
		header("Location: gestionar_grupo.php");
	}
	
	
	include("includes/cabecera.php");
?>
<script type="text/javascript">
function borrarEvento(id)
{
	if(confirm('¿Seguro que quieres borrar el evento?'))
	{
		document.getElementById(id).submit();
	}
}
	<?php include("js/validacion_form.js"); ?>
</script>
	
<div id="consejos_gestion">
    <h1>Gestión de los eventos del grupo</h1>
    <?php
    if(mysql_num_rows($result_eventos) > 0)
    {
    ?>
    <table id="tabla_contenido_gestion">
        <tr>
            <th>Ruta del evento</th>
            <th>Fecha</th>
            <th class="acciones">Acciones</th>
        </tr>
        <?php 
                
        while($evento = mysql_fetch_array($result_eventos))
        {
            $result_ruta_evento = getRuta($evento['id_ruta']);
            $ruta_evento = mysql_fetch_array($result_ruta_evento);
            ?>
            <tr>
                <td><?php echo $ruta_evento['nombre']; ?></td>
                <td><?php echo mostrarFecha($evento['fecha']); ?></td>
                <td class="acciones">
                    <a class="icono visualizar" href="visualizar_evento.php?id=<?php echo $evento['id_evento'] ?>"><span class="no_texto">Ver detalles del evento</span></a>
                    <a class="icono editar" href="editar_evento.php?id=<?php echo $evento['id_evento']; ?>" title="Editar evento"><span class="no_texto">Editar evento</span></a>
                    <a href="javascript:borrarEvento(<?php echo $evento['id_evento']; ?>)" title="Borrar evento" class="icono borrar"><span class="no_texto">Borrar evento</span></a>
                     <a class="enlace_gestion_imagenes" href="imagenes_evento.php?id=<?php echo $evento['id_evento']; ?>" class="enlace_gestion_imagenes" title="Imágenes del evento">Imágenes</a>
                    <form action="quedadas_grupo.php" method="post" id="<?php echo $evento['id_evento']; ?>">
                    <div>
                    <input type="hidden" name="id_a_borrar" value="<?php echo $evento['id_evento']; ?>"/>
                    </div>
                </form>
                </td>
            </tr>
            <?php
        }
    
        ?>
    </table>

    <?php 
    }
    else
    {
    ?>
        <p>No existen eventos para este grupo. Para insertar un nuevo evento complete el siguiente formulario.</p>
    <?php
    }
    ?>
    
    <h2>Insertar un nuevo evento para el grupo</h2>
    <?php echo "<p class='error'>".$mensaje."</p>"; 
    $result_rutas = getRutas();
    
    ?>
    
    <form action="quedadas_grupo.php" method="post" class="form_gestionar validable" enctype="multipart/form-data">
    	<div>
        <input type="hidden" name="id_grupo" value="<?php echo $id_grupo; ?>" />
        
        <label for="id_ruta">Ruta</label>
        <select name="id_ruta">
            <?php 
            while($ruta = mysql_fetch_array($result_rutas))
            {
                ?>
                <option value="<?php echo $ruta['id_ruta']; ?>"><?php echo $ruta['nombre']; ?></option>
                <?php
            }
            ?>
        </select>
        
        <label for="dia">Día</label>
        <select name="dia">
        <?php
        for($i = 1; $i <= 31; $i++)
        {
            ?>
            <option value="<?php echo $i;?>"><?php echo $i;?></option>
            <?php
        }
        ?>
        </select>
         
        <label for="mes">Mes</label>
        <select name="mes">
        <?php
        for($i = 1; $i <= 12; $i++)
        {
            ?>
            <option value="<?php echo $i;?>"><?php echo $i;?></option>
            <?php
        }
        ?>
        </select>
        
        <label for="anyo">Año (aaaa)</label>
        <select name="anyo">
        <?php $anyo = date("Y"); ?>
        	<option value="<?php echo $anyo; ?>"><?php echo $anyo; ?></option>
            <option value="<?php echo ($anyo+1); ?>"><?php echo ($anyo+1); ?></option>
        </select>
        
        <label for="descripcion">Descripción</label>
        <textarea name="descripcion" rows="10" cols="50" class="requerido min:10:"></textarea>
        
        <input type="submit" class="boton" value="Enviar" />
    	</div>
    </form>
    
    <a href="gestionar_grupo.php" class="enlace_volver" title="Volver a la gestión de grupos">Volver a la gestión de grupos</a>  
</div>


<?php
	include("includes/pie.php");
?>